#!/bin/bash
# console-config/src/lib-scripts/timing-manual.sh
#
#  Copyright: ©2013–2014, Güralp Systems Ltd.
#  Author: Laurence Withers <lwithers@guralp.com>
#  License: GPLv3
#
# Don't apply any timing configuration at all, but do inform the user about the
# force-digitiser-timing command.
#



manual_setup() {
    dialog --title "Manual timing" \
        --yesno "In manual timing mode, no correction will be made to the sample \
clock and it will be left to run free. The timing may manually be jam set with \
the command \"force-digitiser-timing\", but this is not accurate for attached \
CD24/DM24 units." \
        9 "${DIALOG_DEFAULT_W}"
    [ $? -eq 0 ] || return 1

    # Enact configuration save. This is a fixed configuration.
    clear
    write_timing_config "manual" "false" "false" "false"
    svc timing restart

    serial_clear_input
    serial_clear_output
    serial_clear_xlate

    exit 0
}



# vim: ts=4:sw=4:expandtab:syntax=sh
